Bug 846140 - crypttab tab man page password section needs to be updated
Summary: crypttab tab man page password section needs to be updated
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: initscripts
Version: 6.2
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Lukáš Nykrýn
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-08-06 23:26 UTC by Todd
Modified: 2016-11-25 13:08 UTC (History)
4 users (show)

Fixed In Version: initscripts-9.03.32-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: Man page didn't describe handling white spaces in password Consequence: Users did not get required information how to set their password if it contains white spaces. Fix: Man page update Result: Man page now contains information about password with white spaces.
Clone Of:
Environment:
Last Closed: 2013-02-21 10:25:58 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:0518 normal SHIPPED_LIVE initscripts bug fix and enhancement update 2013-02-20 21:29:01 UTC

Description Todd 2012-08-06 23:26:29 UTC
Hi All,

I am coming from the "Community": Scientific Linux 6.2, 64 bit.  Would one of our interpret heroes at Red Hat please fix this for me?

I just encrypted my backup drives.  In the process, I found that the man page for crypttab is missing a bunch of necessary stuff that causes all kinds of problems.  Please reference the following bugs:

Crypttab does not mount volume at boot
https://bugzilla.redhat.com/show_bug.cgi?id=845701

https://bugzilla.redhat.com/show_bug.cgi?id=845698
https://bugzilla.redhat.com/show_bug.cgi?id=845698

Many thanks,
-T

That being said, I would like to suggest some change to the crypttab manual page:

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Old section for parameter three (password):

    The  third  field  specifies the encryption password.  If the field is not present or the password is set to none, the password has to be manually entered during system boot. Otherwise the field is interpreted  as  a  path  to  a  file  containing  the encryption password.  For swap encryption /dev/urandom can be used as the password file; using /dev/random may prevent boot completion if the system does not have enough  entropy  to generate a truly random encryption key.


~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Proposed new section three:

    The  third  field  specifies the encryption password.  This field does not support spaces, whether escaped with back slashes or quotes.  Back slashes or quotes will cause this field to be interpreted as a path to a password file.  If you wish to use a password with spaces in it, please use a password file.  

   If the field is not present or the password is set to none, the password has to be manually entered during system boot. Otherwise the field is interpreted  as  a  path  to  a  file  containing  the encryption password.

    If using a password file, please note that the entire contents of the password file is used, including all lines and any hidden characters you can not see with a text editor ("vi" and "vi -b" included) such as line feeds.  A password file without a line feed can be created with the "echo" command's "-n" option.  For example:
     echo -n "pass phrase" > MyPasswordFile

You can test for the presence of a line feed in your password file with "hexdump -c".  For example
    hexdump -c MyPasswordFile
    0000000   p   a   s   s       p   h   r   a   s   e
  
The lack of a "\n" at the end means you do not have a line feed at the end of your file.

    For swap encryption /dev/urandom can be used as the password file; using /dev/random may prevent boot completion if the system does not have enough  entropy  to generate a truly random encryption key.

Comment 2 Lukáš Nykrýn 2012-08-07 07:22:13 UTC
Thanks for the manpage update, I will update it in next release.

Comment 8 errata-xmlrpc 2013-02-21 10:25:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0518.html


Note You need to log in before you can comment on or make changes to this bug.